<template>
	<view class="total-page page-box">
		<Nav :title="is_handle?'任务操作':'任务冲销'" :genre="1" :opacity="scrollTop" is_fixed :bgHeight="bgHeight"></Nav>
		<view class="operate_body page-env-160" :style="{top:`${$tools.topHeight()}px`}">
			<view class="sys-background-fff m-lr30 m-t30 m-b20 p-lr30 r-20">
				<view class="" v-if="is_handle">
					<view class="row-justify-sb center p-tb30 bor-bottom-1 size-28">
						<view class="wh-text"><text></text>下一阶段处理</view>
						<view class="row-c flex">
							<input class="wh-input sys-size-28 text-color-12 m-l20 flex"
								placeholder-class="sys-size-28 text-color-999 sys-weight-400" placeholder="请选择"
								v-model="inputValue"></input>
						</view>
						<uni-icons type="forward" size="18" color="#D8D8D8"></uni-icons>
					</view>
					<view class="row-justify-sb center p-tb30 bor-bottom-1 size-28">
						<view class="wh-text"><text></text>下一执行人员</view>
						<view class="row-c flex">
							<input class="wh-input sys-size-28 text-color-12 m-l20 flex"
								placeholder-class="sys-size-28 text-color-999 sys-weight-400" placeholder="请选择"
								v-model="inputValue"></input>
						</view>
						<uni-icons type="forward" size="18" color="#D8D8D8"></uni-icons>
					</view>
					<WhInput :name="'回款姓名'"></WhInput>
					<WhInput :name="'回款银行'" :is_border="false" is_select disabled>
					</WhInput>
				</view>
				<view class="" v-else>
					<WhInput :name="'冲销类型'" :is_border="false" is_select disabled></WhInput>
				</view>
			</view>
			<view class="sys-background-fff m-lr30 r-20">
				<SendChat></SendChat>
			</view>
		</view>
		<EnButton></EnButton>
	</view>
</template>

<script>
	import WhInput from "@/page_task/module/wh-input.vue"
	import SendChat from "@/page_task/task_details/module/send_chat.vue"

	export default {
		components: {
			WhInput,
			SendChat
		},
		data() {
			return {
				bgHeight: 110,
				scrollTop: 0,
				is_handle: true
			}
		},
		onPageScroll(res) {
			this.scrollTop = res.scrollTop / 120
		},
		methods: {
			// 下拉刷新
			onRefresh() {
				uni.showLoading({
					title: '数据加载中'
				})
				setTimeout(() => {
					uni.showToast({
						title: '加载完成',
						icon: 'none'
					})
					this.$refs.scroll.onEndPulling()
				}, 1000)
				console.log("下拉刷新");
			},
			// 滚动到底部
			onScrollBottom() {
				uni.showLoading({
					title: '数据加载中'
				})
				setTimeout(() => {
					uni.showToast({
						title: '加载完成',
						icon: 'none'
					})
				}, 1000)
				console.log("到底部了");
			},
		}
	}
</script>

<style lang="scss" scoped>
	.operate_body {
		width: 100%;
		position: absolute;
	}

	.wh-input {
		width: 100%;
		text-align: right;
		direction: rtl;
	}
</style>